; Definition of registers found on FM10000 official images for comunication back with driver/manager
; Based on Intel datasheet and BSD-3 code.


.constant api_SPI_LOCK_STATE, %0x800
.constant api_PCIE_SBUS_LOCK_STATE, %0x801
.constant api_SOFT_RESET_LOCK_STATE, %0x802

.constant api_RECOVERY_STATUS_VECTOR, %0x803

.constant api_PEP_MAC_BASE, %0x80a
.constant api_CUSTOM_MAC_BASE, %0x864

.constant api_BSM_STATUS, %0x990
.constant api_EEPROM_IMAGE_VERSION, %0x991
.constant api_MASTER_FW_VERSION, %0x992
.constant api_SERDES_FW_VERSION, %0x993
.constant api_SERDES_STATUS_1, %0x994
.constant api_SERDES_STATUS_2, %0x995
.constant api_SERDES_STATUS_3, %0x996
.constant api_SERDES_STATUS_4, %0x997
.constant api_PCIE_MASTER_STATUS, %0x998
.constant api_PCIE_SERDES_STATUS, %0x999

.constant api_DE_COLD_RESET_STATUS, %0x9ae
.constant api_SBUS_RESET_STATUS, %0x9af
.constant api_MEMORY_REPAIR_STATUS, %0x9b0
.constant api_MEMORY_INIT_STATUS, %0x9b1
.constant api_PCIE_PCS_DIS_STATUS, %0x9b2
.constant api_PCIE_MASTER_FW_DL_STATUS, %0x9b3
.constant api_PCIE_FW_CHECK_STATUS, %0x9b4
.constant api_PCIE_SERDES_FW_DL_STATUS, %0x9b5
.constant api_PCIE_SERDES_INIT_STATUS, %0x9b6
.constant api_PCIE_PCS_EN_STATUS, %0x9b7
.constant api_PCIE_DE_WARM_RESET_STATUS, %0x9b8
.constant api_PCIE_ISR_STATUS_0, %0x9b9
.constant api_PCIE_ISR_STATUS_1, %0x9ba
.constant api_PCIE_ISR_STATUS_2, %0x9bb
.constant api_PCIE_ISR_STATUS_3, %0x9bc
.constant api_PCIE_ISR_STATUS_4, %0x9bd
.constant api_PCIE_ISR_STATUS_5, %0x9be
.constant api_PCIE_ISR_STATUS_6, %0x9bf
.constant api_PCIE_ISR_STATUS_7, %0x9c0
.constant api_PCIE_ISR_STATUS_8, %0x9c1
.constant api_SERDES_OOR_STATUS_PASS_1, %0x9c2
.constant api_SERDES_OOR_STATUS_PASS_2, %0x9c3
.constant api_SW_LOCK_ERR_STATUS, %0x9c4
.constant api_PCIE_EN_REFCLK_STATUS, %0x9c5
.constant api_RE_RESET_MASK_STATUS_1, %0x9c6
.constant api_RE_RESET_MASK_STATUS_2, %0x9c7
.constant api_RE_RESET_ERR_STATUS, %0x9c8